define({
    /* root: { */
	/* common.js */
	BUTTON_CLOSE: "Close",
    BUTTON_DELETE: "Delete",
    BUTTON_CANCEL: "Cancel",
    BUTTON_SAVE: "Save",
    BUTTON_OK: "OK",
    BUTTON_COPY: "Copy",
    BUTTON_DETAIL: "Detail",
	FORMAT_DATE_YOUBI: "Day of the week",

	ERROR_MSG_CODE: "code",
	ERROR_MSG_HISSU_1: "Content is required.",
	ERROR_MSG_HISSU_2: "Specify the value to the code corresponding to the content.",
	ERROR_MSG_INTERNAL_ERROR: "An internal server error has occurred.",

	EXCEPTION_MSG_UNEXPECTED: "Unexpected value.",
    EXCEPTION_MSG_FORM_MISSING: "Unable to get form.",

	EXCEPTION_MSG_CANTGET_YEAR: "Unable to get AD.",
	EXCEPTION_MSG_ILLEGAL_MONTH: "Bad month.",
	EXCEPTION_MSG_ILLEGAL_DATE: "Bad day.",
	EXCEPTION_MSG_ILLEGAL_MONTH_OR_DATE: "Bad month or day.",
	EXCEPTION_MSG_ILLEGAL_MONTHDATE: "Bad day.",
	EXCEPTION_MSG_ILLEGAL_TIME_OR_MINUTE_OR_SECOND: "Bad time.",
	EXCEPTION_MSG_ILLEGAL_TIMEMINUTESECOND: "Bad time.",
	EXCEPTION_MSG_UNMATCHED: "No exact date.",
    EXCEPTION_MSG_CAMERA_FAILED: "The camera could not start up.",

    WARN_MSG_ZIPCODE_NOT_EXIST: "The zip code entered does not exist.",
    WARN_MSG_SESSION_TIMEOUT: "It was automatically logged off because it was not operated for a while.\nPlease log on again.",

    INFO_MSG_SELECT_BATCH_TARGET: "Please select data for batch processing.",

	/* insertJfcflowSettingC1.js */
	/* copyJfcflowSettingC1.js */
	/* updateJfcflowSettingC1.js */
	FLOW_PATTERN_NAME: "flow pattern name",
	NODE_NAME: "node name",
    DIAGRAM_TITLE: "Workflow participant",
    SEQUENCE_NODE_NAME: "Sequence",
    CONSULTATION_NODE_NAME: "Consultation",
	ERROR_MSG_NO_COMMA_FOR_NODE: "Node name can not enter a comma.",
	ERROR_MSG_CONFIRM: "Input data are incomplete. Please see the following message.",
	ERROR_MSG_REQUIRE: "The following items are required.",

	/* jfcparticipantSettingUtil.js */
	ERROR_MSG_SET_PARTICIPANT: "You specify the flow participant or flow group.",

	/* changePassword.js */
	WARNING_KEEP_PASSWORD: "Password information is kept current because no password is entered.",

	/* showListLog.js */
	TIP_MSG_INPUT_DATE: "Please enter yyyy-MM-dd format.  (yyyy is year, MM the month, dd is the day)",

    /* checkbox toggle button tooltip */
    CHECK_ALL: "check all",
    UNCHECK_ALL: "uncheck all",

    CONFIRM_DELETE: "This data will be deleted. Are you sure ?",

    /* file upload */
    BUTTON_FILE_SINGLE: "Select File",
    BUTTON_FILE_MULTIPLE: "Select Some Files",
	ERROR_MSG_SOME_FILES: "Can not upload multiple files.",
	ERROR_SAVE_LATER: "File uploading, Please go later.",
    ERROR_CHECK_FILEMINSIZE: "The file size should be n byte(s) or more.",
    ERROR_CHECK_FILEMAXSIZE: "The file size should be n byte(s) or less.",
    ERROR_UNAUTHORIZED_FILEUPLOAD:"It was automatically logged off because it was not operated for a while.\nPlease log on again.",
    ERROR_UNKNWON_FILEUPLOAD: "Failed to file upload.",

    /* modern calendar dialog */
    LABEL_CALENDAR_DIALOG_MODELNAME: "Model name",
    LABEL_CALENDAR_DIALOG_TITLE: "Title",
    LABEL_CALENDAR_DIALOG_STARTDATETIME: "Start date and time",
    LABEL_CALENDAR_DIALOG_ENDDATETIME: "End date and time",
    LABEL_CALENDAR_DIALOG_ALLDAYFLAG: "All day",
    LABEL_CALENDAR_DIALOG_STAFF: "Contact person",
    LABEL_CALENDAR_DIALOG_PLACE: "Place",
    LABEL_CALENDAR_DIALOG_URL: "URL",
    LABEL_CALENDAR_DIALOG_MEMO: "Remarks",
    LABEL_CALENDAR_DIALOG_BTN_SHOW: "Display Detail Screen",
    LABEL_CALENDAR_DIALOG_BTN_UPDATE: "Display Update Screen",
    LABEL_CALENDAR_DIALOG_BTN_INSERT: "Display Insert Screen",
    LABEL_CALENDAR_NEW_REGISTRATION: "New Registration",
    ERROR_MSG_DELETE_CALENDAR_ITEM: "Failed to delete calendar data",

    LABEL_SHOWLIST_CHOICE: "Choice",
    LABEL_UPDATELIST_DELETE: "Delete",
    LABEL_UPDATELIST_STATUS: "Status",
    LABEL_UPDATELIST_RESULTDIALOG_OK: "Return to list screen",
    LABEL_UPDATELIST_RESULTDIALOG_CANCEL: "Continue list update",
    LABEL_UPDATELIST_NEW_BUTTON: "New",
    LABEL_UPDATELIST_COPY_BUTTON: "Copy",
    LABEL_UPDATELIST_CLEAR_BUTTON: "Clear",
    LABEL_UPDATELIST_SEARCH_BUTTON: "Search...",
    INFO_MSG_UPDATELIST_NEW: "New",
    INFO_MSG_UPDATELIST_COPY: "Copy",
    INFO_MSG_UPDATELIST_UPDATE: "Edited",
    ERROR_MSG_UPDATELIST_LOCKERROR: "Lock failed",
    ERROR_MSG_UPDATELIST_ERROR: "Error",
    CONFIRM_MSG_UPDATELIST_SAVE: "Ignore the input error data and save it.<br>Is it OK?",

    /* grid */
    ERROR_MSG_GET_GRID_SETTINGS: "An error occurred when acquiring the grid settings",
    ERROR_MSG_SET_GRID_SETTINGS: "An error occurred while saving the grid settings",
    INFO_MSG_SAVE_GRID_SETTINGS_SUCCESS: "Grid settings saved",
    INFO_MSG_DELETE_GRID_SETTINGS_SUCCESS: "Grid settings deleted",
    LABEL_CLEAR_GRID_SETTING: "Clear Grid Setting",
    LABEL_BTN_SAVE_GRID_SETTING: "Save",
    LABEL_BTN_DELETE_GRID_SETTING: "Delete",

    /* Google Map */
    LABEL_TOTAL_DISTANCE: "Total distance",
    LABEL_SQUARE_METER: "square meter",
    LABEL_SQUARE_KILOMETER: "square kilometer",
    LABEL_TOTAL_AREA: "Total area",

    TITLE_SCRIPT_EDITOR: "Script editor",
    CONFIRM_MSG_SCRIPT_EDITOR: "Do you want to discard your changes and close script editor?",

    /* jfcjobschedule */
    LABEL_JFCJOBSCHEDULE_DIALOG_CHKANYTIME: "Specify an arbitrary time (allow full range)",
    LABEL_JFCJOBSCHEDULE_DIALOG_TIMETYPESPECIFIC: "Specific timing",
    LABEL_JFCJOBSCHEDULE_DIALOG_CHKONLYWEEKDAYS: "Weekday only",
    LABEL_JFCJOBSCHEDULE_DIALOG_CHKUSEWEEKNUMBER: "Designate weeks",
    LABEL_JFCJOBSCHEDULE_DIALOG_WEEKNUMBER_PREFIX: "The",
    LABEL_JFCJOBSCHEDULE_DIALOG_WEEKNUMBER_SUFFIX: "week",
    LABEL_JFCJOBSCHEDULE_DIALOG_TIMETYPEINTERVAL: "Interval",
    LABEL_JFCJOBSCHEDULE_DIALOG_TIMETYPE_DURATION: "Specify the period (range)",
    LABEL_JFCJOBSCHEDULE_DIALOG_UNIT_SECOND: "Seconds",
    LABEL_JFCJOBSCHEDULE_DIALOG_UNIT_MINUTE: "Minute",
    LABEL_JFCJOBSCHEDULE_DIALOG_UNIT_HOUR: "Hour",
    LABEL_JFCJOBSCHEDULE_DIALOG_UNIT_DAY: "Day",
    LABEL_JFCJOBSCHEDULE_DIALOG_UNIT_MONTH: "Month",
    LABEL_JFCJOBSCHEDULE_DIALOG_UNIT_DOW: "The day of the week",
    LABEL_JFCJOBSCHEDULE_DIALOG_UNIT_YEAR: "Year",
    LABEL_JFCJOBSCHEDULE_DIALOG_TITLE_HOUR: "Time (hour)",
    LABEL_JFCJOBSCHEDULE_DIALOG_INTERVAL_1: "(From)",
    LABEL_JFCJOBSCHEDULE_DIALOG_INTERVAL_2: "(Every)",
    LABEL_JFCJOBSCHEDULE_DIALOG_DURATION_1: " - ",
    LABEL_JFCJOBSCHEDULE_DIALOG_OPT_LAST: "Last",
    LABEL_JFCJOBSCHEDULE_DIALOG_DOW_1: "Sun",
    LABEL_JFCJOBSCHEDULE_DIALOG_DOW_2: "Mon",
    LABEL_JFCJOBSCHEDULE_DIALOG_DOW_3: "Tue",
    LABEL_JFCJOBSCHEDULE_DIALOG_DOW_4: "Wed",
    LABEL_JFCJOBSCHEDULE_DIALOG_DOW_5: "Thu",
    LABEL_JFCJOBSCHEDULE_DIALOG_DOW_6: "Fri",
    LABEL_JFCJOBSCHEDULE_DIALOG_DOW_7: "Sat",

    // jfcgroupnode
    LABEL_JFCGROUPNODE_UNSETGROUP: "Unset group",
    LABEL_JFCGROUPNODE_GROUP_HIERARCHY_TAB: "Group hierarchy",
    LABEL_JFCGROUPNODE_SEARCH_TAB: "Search",
    CONFIRM_MSG_SAVE_GROUP_HIERARCHY: "Save group hierarchy ?",

	DUMMY: ""
});
